Berkeley DB version 5.0.21

## com.sleepycat.persist.model
Class FieldMetadata

    java.lang.Object
      com.sleepycat.persist.model.FieldMetadata

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  PrimaryKeyMetadata, SecondaryKeyMetadata

    public class FieldMetadata

extends Object
implements Serializable

The metadata for a key field. This class defines common properties for singular and composite key fields.

`FieldMetadata` objects are thread-safe. Multiple threads may safely call the methods of a shared `FieldMetadata` object.

See Also:
  Serialized Form

Constructor Summary
`FieldMetadata(String name, String className, String declaringClassName)` Used by an `EntityModel` to construct field metadata.

Method Summary
`boolean` `equals(Object other)`
`String` `getClassName()` Returns the class name of the field type.
`String` `getDeclaringClassName()` Returns the name of the class where the field is declared.
`String` `getName()` Returns the field name.
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FieldMetadata

    public FieldMetadata(String name,
                         String className,
                         String declaringClassName)

  Used by an `EntityModel` to construct field metadata.

Method Detail

### getName

    public String getName()

  Returns the field name.

### getClassName

    public String getClassName()

  Returns the class name of the field type.

### getDeclaringClassName

    public String getDeclaringClassName()

  Returns the name of the class where the field is declared.

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Berkeley DB version 5.0.21

Copyright (c) 1996, 2010 Oracle and/or its affiliates. All rights reserved.